package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class DebugInfo extends JceStruct {
    public String info;
    public String info1;
    public String info2;
    public String info3;
    public String info4;
    public String info5;

    public DebugInfo() {
        super();
        this.info = "";
        this.info1 = "";
        this.info2 = "";
        this.info3 = "";
        this.info4 = "";
        this.info5 = "";
    }

    public DebugInfo(String arg2, String arg3, String arg4, String arg5, String arg6, String arg7) {
        super();
        this.info = "";
        this.info1 = "";
        this.info2 = "";
        this.info3 = "";
        this.info4 = "";
        this.info5 = "";
        this.info = arg2;
        this.info1 = arg3;
        this.info2 = arg4;
        this.info3 = arg5;
        this.info4 = arg6;
        this.info5 = arg7;
    }

    public final void readFrom(c arg3) {
        this.info = arg3.b(0, false);
        this.info1 = arg3.b(1, false);
        this.info2 = arg3.b(2, false);
        this.info3 = arg3.b(3, false);
        this.info4 = arg3.b(4, false);
        this.info5 = arg3.b(5, false);
    }

    public final void writeTo(d arg3) {
        if(this.info != null) {
            arg3.a(this.info, 0);
        }

        if(this.info1 != null) {
            arg3.a(this.info1, 1);
        }

        if(this.info2 != null) {
            arg3.a(this.info2, 2);
        }

        if(this.info3 != null) {
            arg3.a(this.info3, 3);
        }

        if(this.info4 != null) {
            arg3.a(this.info4, 4);
        }

        if(this.info5 != null) {
            arg3.a(this.info5, 5);
        }
    }
}


